Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

Plugin XIAOMI Daemon NOK

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 18:42

Alors comme j'ai soit disant la dernière version il se passe rien si je lance "sudo apt-get install python-pygments"

Code : Tout sélectionner

 sudo apt-get install python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-pygments is already the newest version (2.2.0+dfsg-1).
0 upgraded, 0 newly installed, 0 to remove and 129 not upgraded.
Je peux peut être le supprimer et le réinstaller..?
Si oui comment?

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 28 juin 2019, 18:54

Regarde bien la ligne que j’ai proposé

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 18:57

j'ai déjà essayé mais ça me jette... y a pas une erreur de syntaxe?

Code : Tout sélectionner

sudo apt-get install —reinstall python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package —reinstall

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 19:00

Pour en revenir, je sais plus d’où vient l image de ma carte SD du Rpi mais c’était un truc tout fait (je suppose l'officiel), j'ai jamais eu de souci avec d'autre plugins avant celui ci...

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 28 juin 2019, 19:09

Regarde a nouveau la commande !

akenad :)
Dernière édition par akenad le 28 juin 2019, 19:14, édité 1 fois.
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 19:12

En effet j'allais le poster... par contre idem apres reinstalle on dirait

Code : Tout sélectionner

sudo apt-get install --reinstall python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 129 not upgraded.
Need to get 0 B/590 kB of archives.
After this operation, 0 B of additional disk space will be used.
dpkg: unrecoverable fatal error, aborting:
 files list file for package 'python-pygments' is missing final newline
E: Sub-process /usr/bin/dpkg returned an error code (2)

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 28 juin 2019, 20:26

Substi57 a écrit :
28 juin 2019, 19:00
Pour en revenir, je sais plus d’où vient l image de ma carte SD du Rpi mais c’était un truc tout fait (je suppose l'officiel), j'ai jamais eu de souci avec d'autre plugins avant celui ci...
Ton souci ne vient pas de Jeedom ni des plugins.
Tu es dans la situation d'un plugin qui a besoin d'une dépendance qui ne fonctionne pas correctement sur ton système,
d’où ma question sur l'origine de ton image Raspbian.
Jusqu'a présent je ne t'ai proposé que des commandes non destructives.

les options que tu as maintenant :
1) tu ne fais rien et tu ne peux pas utiliser le plugin Xiaomi (voir peut-être d'autres plugins qui utilisent la même dépendance)
2) tu reparts sur une image système connue et maitrisée
3) tu prends des risques en essayant de rattraper le coup sur ton système actuel

pour la 3ième option,

le message d'erreur : "files list file for package 'python-pygments' is missing final newline"
indique que le fichier python-pygments.list a un problème dans son contenu
il se trouve dans le dossier /var/lib/dpkg/info/
l'idée c'est de le sauvegarder au cas ou dans un fichier se terminant par .old, puis de le supprimer.
Cela peut se faire en une ligne de commande.

ce serait moi je tenterais donc :

Code : Tout sélectionner

$ sudo mv /var/lib/dpkg/info/python-pygments.list /var/lib/dpkg/info/python-pygments.list.old
puis à nouveau retenter :

Code : Tout sélectionner

$ sudo apt-get --reinstall install python-pygments
$ sudo apt-get install python-future
akenad :)
Dernière édition par akenad le 28 juin 2019, 23:34, édité 13 fois.
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 20:33

OK pas de souci, je clone ma carte et je test. Au pire je repartirai sur la vieille carte donc j'abime rien :)
Je te tiens au courant.

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 20:55

J'ai retrouvé le fichier de mon installe JEEDOM, la version exacte que j'ai installé c’était: 2018-04-18-raspbian-stretch-lite.img

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 22:38

Alors la premiere ligne ne me retourne rien, jusque la ca va...

après pour la seconde je crois que ça coince déjà

Code : Tout sélectionner

sudo mv /var/lib/dpkg/info/python-pygments.list
mv: missing destination file operand after '/var/lib/dpkg/info/python-pygments.list'
Try 'mv --help' for more information.

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 22:41

du coup la 3eme ligne me donne

Code : Tout sélectionner

sudo apt-get install --reinstall python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package ▒--reinstall
ou ca

Code : Tout sélectionner

sudo apt-get --reinstall install python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 129 not upgraded.
Need to get 0 B/590 kB of archives.
After this operation, 0 B of additional disk space will be used.
dpkg: unrecoverable fatal error, aborting:
 files list file for package 'python-pygments' is missing final newline
E: Sub-process /usr/bin/dpkg returned an error code (2)

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 28 juin 2019, 22:51

Regarde a nouveau, j'ai modifié la commande.

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 23:11

Oula attend parce que entre temps j'ai changé le "mv" par "rm" dans la 2eme ligne et je n'ai pas eu de retour donc ça semble OK. Du coup j'ai envoyé les 2 dernières lignes et apparemment ça s'est installé ...
Jeedom tourne toujours, j'ai pas redémarré encore. Le demon démarre toujours pas je viens de nettoyer les logs et de relancer l'installe des dépendances, j'attends

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 23:14

bon le demon demarre pas mais le log a beaucoup changé

Code : Tout sélectionner

[2019-06-28 23:12:12][INFO] : Lancement démon xiaomihome : /usr/bin/python /var/www/html/plugins/xiaomihome/resources/xiaomihomed/xiaomihomed.py --loglevel debug --socketport 55019 --callback http://192.168.1.33:80/plugins/xiaomihome/core/php/jeeXiaomiHome.php --apikey CKMiir3jVSTe64Z7I4UfCMHdhkPMknjO --cycle 0.05 --pid /tmp/jeedom/xiaomihome/deamon.pid
Traceback (most recent call last):
  File "/var/www/html/plugins/xiaomihome/resources/xiaomihomed/xiaomihomed.py", line 28, in <module>
    from devices.yeehome import *
  File "/var/www/html/plugins/xiaomihome/resources/xiaomihomed/devices/yeehome.py", line 13, in <module>
    import utils
  File "/var/www/html/plugins/xiaomihome/resources/xiaomihomed/utils.py", line 7, in <module>
    _backend = default_backend()
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/backends/__init__.py", line 71, in default_backend
    _default_backend = MultiBackend(_available_backends())
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/backends/__init__.py", line 28, in _available_backends
    "cryptography.backends"
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
    entries = dist.get_entry_map(group)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
    self._get_metadata('entry_points.txt'), self
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
    raise ValueError("Entry points must be listed in groups")
ValueError: Entry points must be listed in groups
[2019-06-28 23:12:42][ERROR] : Impossible de lancer le démon xiaomihomed. Vérifiez le log.

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 23:18

Je relance les commandes comme tu les a modifié.
Je te remet le detail:
sudo mv /var/lib/dpkg/info/python-pygments.list /var/lib/dpkg/info/python-pygments.list.old
ne rend rien.
Ensuite

Code : Tout sélectionner

 sudo apt-get --reinstall install python-pygments
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 130 not upgraded.
Need to get 0 B/590 kB of archives.
After this operation, 0 B of additional disk space will be used.
dpkg: warning: files list file for package 'python-pygments' missing; assuming package has no files currently installed
(Reading database ... 102077 files and directories currently installed.)
Preparing to unpack .../python-pygments_2.2.0+dfsg-1_all.deb ...
dpkg-query: warning: files list file for package 'python-pygments' missing; assuming package has no files currently installed
Unpacking python-pygments (2.2.0+dfsg-1) over (2.2.0+dfsg-1) ...
Setting up python-pygments (2.2.0+dfsg-1) ...
Processing triggers for man-db (2.7.6.1-2) ...
et enfin

Code : Tout sélectionner

sudo apt-get install python-future
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libjs-sphinxdoc libjs-underscore python-configparser
Suggested packages:
  python-future-doc
The following NEW packages will be installed:
  libjs-sphinxdoc libjs-underscore python-configparser python-future
0 upgraded, 4 newly installed, 0 to remove and 129 not upgraded.
Need to get 0 B/543 kB of archives.
After this operation, 2550 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Selecting previously unselected package libjs-underscore.
(Reading database ... 101889 files and directories currently installed.)
Preparing to unpack .../libjs-underscore_1.8.3~dfsg-1_all.deb ...
Unpacking libjs-underscore (1.8.3~dfsg-1) ...
Selecting previously unselected package libjs-sphinxdoc.
Preparing to unpack .../libjs-sphinxdoc_1.4.9-2_all.deb ...
Unpacking libjs-sphinxdoc (1.4.9-2) ...
Selecting previously unselected package python-configparser.
Preparing to unpack .../python-configparser_3.3.0r2-2_all.deb ...
Unpacking python-configparser (3.3.0r2-2) ...
Selecting previously unselected package python-future.
Preparing to unpack .../python-future_0.15.2-4_all.deb ...
Unpacking python-future (0.15.2-4) ...
Setting up libjs-underscore (1.8.3~dfsg-1) ...
Setting up libjs-sphinxdoc (1.4.9-2) ...
Setting up python-configparser (3.3.0r2-2) ...
Setting up python-future (0.15.2-4) ...
update-alternatives: using /usr/bin/python2-futurize to provide /usr/bin/futurize (futurize) in auto mode
update-alternatives: using /usr/bin/python2-pasteurize to provide /usr/bin/pasteurize (pasteurize) in auto mode

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 28 juin 2019, 23:23

tu peux publier la log de la reinstallation des dépendances ?

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 28 juin 2019, 23:32

Log installation dépendances:

Code : Tout sélectionner

*******************************************************
*             Installation des dépendances             *
********************************************************
Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Hit:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:3 https://deb.nodesource.com/node_10.x stretch InRelease
Hit:4 https://raspbian.snips.ai/stretch stable InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
libffi-dev is already the newest version (3.2.1-6).
libssl-dev is already the newest version (1.1.0j-1~deb9u1).
python-cryptography is already the newest version (1.7.1-3+deb9u1).
python-cryptography set to manually installed.
python-dev is already the newest version (2.7.13-2).
python-pip is already the newest version (9.0.1-2+rpt2).
0 upgraded, 0 newly installed, 0 to remove and 130 not upgraded.
Collecting construct
  Using cached https://files.pythonhosted.org/packages/19/c0/f054941fa33d14378de66d2c0477d31f7ad97aa2e298a5771a7b20bc2039/construct-2.9.45.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-8vRHKu/construct/setup.py", line 63, in <module>
        "Programming Language :: Python :: Implementation :: PyPy",
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 318, in __init__
        for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
        entries = dist.get_entry_map(group)
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
        self._get_metadata('entry_points.txt'), self
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
        raise ValueError("Entry points must be listed in groups")
    ValueError: Entry points must be listed in groups
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-8vRHKu/construct/
Collecting pyudev
  Using cached https://files.pythonhosted.org/packages/bc/a2/31a07829acea8e70a28c247f43fa5d981229ae0f9edfeddedf52de00709b/pyudev-0.21.0.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-PgbG5D/pyudev/setup.py", line 62, in <module>
        packages=setuptools.find_packages("src"),
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 318, in __init__
        for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
        entries = dist.get_entry_map(group)
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
        self._get_metadata('entry_points.txt'), self
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
        raise ValueError("Entry points must be listed in groups")
    ValueError: Entry points must be listed in groups
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-PgbG5D/pyudev/
Collecting requests
  Using cached https://files.pythonhosted.org/packages/51/bd/23c926cd341ea6b7dd0b2a00aba99ae0f828be89d72b2190f27c11d4b7fb/requests-2.22.0-py2.py3-none-any.whl
Collecting idna<2.9,>=2.5 (from requests)
  Using cached https://files.pythonhosted.org/packages/14/2c/cd551d81dbe15200be1cf41cd03869a46fe7226e7450af7a6545bfc474c9/idna-2.8-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests)
  Using cached https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests)
  Using cached https://files.pythonhosted.org/packages/69/1b/b853c7a9d4f6a6d00749e94eb6f3a041e342a885b87340b79c1ef73e3a78/certifi-2019.6.16-py2.py3-none-any.whl
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests)
  Using cached https://files.pythonhosted.org/packages/e6/60/247f23a7121ae632d62811ba7f273d0e58972d75e58a94d329d51550a47d/urllib3-1.25.3-py2.py3-none-any.whl
Installing collected packages: idna, chardet, certifi, urllib3, requests
Successfully installed certifi-2019.6.16 chardet-3.0.4 idna-2.8 requests-2.22.0 urllib3-1.25.3
Collecting pyserial
  Using cached https://files.pythonhosted.org/packages/0d/e4/2a744dd9e3be04a0c0907414e2a01a7c88bb3915cbe3c8cc06e209f59c30/pyserial-3.4-py2.py3-none-any.whl
Installing collected packages: pyserial
Successfully installed pyserial-3.4
Collecting future
  Using cached https://files.pythonhosted.org/packages/90/52/e20466b85000a181e1e144fd8305caf2cf475e2f9674e797b222f8105f5f/future-0.17.1.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-7XeESS/future/setup.py", line 181, in <module>
        **setup_kwds
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 318, in __init__
        for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
        entries = dist.get_entry_map(group)
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
        self._get_metadata('entry_points.txt'), self
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
        raise ValueError("Entry points must be listed in groups")
    ValueError: Entry points must be listed in groups
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-7XeESS/future/
Collecting pycrypto
  Using cached https://files.pythonhosted.org/packages/60/db/645aa9af249f059cc3a368b118de33889219e0362141e75d4eaf6f80f163/pycrypto-2.6.1.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-XMqbMr/pycrypto/setup.py", line 456, in <module>
        core.setup(**kw)
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 318, in __init__
        for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
        entries = dist.get_entry_map(group)
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
        self._get_metadata('entry_points.txt'), self
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
        raise ValueError("Entry points must be listed in groups")
    ValueError: Entry points must be listed in groups
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-XMqbMr/pycrypto/
Collecting enum34
  Using cached https://files.pythonhosted.org/packages/c5/db/e56e6b4bbac7c4a06de1c50de6fe1ef3810018ae11732a50f15f62c7d050/enum34-1.1.6-py2-none-any.whl
Installing collected packages: enum34
Successfully installed enum34-1.1.6
Collecting enum-compat
  Using cached https://files.pythonhosted.org/packages/95/6e/26bdcba28b66126f66cf3e4cd03bcd63f7ae330d29ee68b1f6b623550bfa/enum-compat-0.0.2.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-hr2N7Q/enum-compat/setup.py", line 45, in <module>
        install_requires=[] if has_enum else ['enum34'],
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 318, in __init__
        for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 726, in iter_entry_points
        entries = dist.get_entry_map(group)
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2639, in get_entry_map
        self._get_metadata('entry_points.txt'), self
      File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2373, in parse_map
        raise ValueError("Entry points must be listed in groups")
    ValueError: Entry points must be listed in groups
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-hr2N7Q/enum-compat/
********************************************************
*             Installation terminée                    *
********************************************************
y a toujours le " ValueError: Entry points must be listed in groups" qui revient...

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 29 juin 2019, 00:03

En effet l'erreur "ValueError: Entry points must be listed in groups" est toujours présente.
En revanche à ce stade l'erreur concernant le paquet python-pygments à disparue, c'était le but de ce que je t'ai proposé de faire.
Cela a consisté à supprimer un fichier corrompu et le refabriquer.

Voici ce que j'ai trouvé sur internet sur l'erreur "Entry points" :
https://www.codesd.com/item/errors-whil ... kages.html

D'après cet article l'erreur serait du à un ou plusieurs paquets python "cassés".
La méthode proposée pour remédier au problème n'est pas simple.

Cette erreur semble être donc de même nature que l'autre, à savoir des corruptions de fichiers.

Tu aurais peut être plus vite fait de réinstaller un système (sur une SD neuve).
L'image de la dernière Stretch est ici :
https://downloads.raspberrypi.org/raspb ... 019-04-09/

akenad :)
Dernière édition par akenad le 29 juin 2019, 12:46, édité 1 fois.
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Substi57
Timide
Messages : 70
Inscription : 24 déc. 2018, 17:30

Re: Plugin XIAOMI Daemon NOK

Message par Substi57 » 29 juin 2019, 09:57

Oui c'est pas une mince affaire ce problème... j'avais pas trop envie de me retaper une installation car pour ajouter Snips sur le même Rpi je me suis un peu amusé à l'époque, ça avait pas marché du premier coup...
Bref, je pense que je vais refaire une carte de zero. Par contre je pense pas le faire ce week end. Je viendrais reposter ici une fois que ça sera fait.

En attendant la suite je te remercie Akenad pour le coup de pouce :)

Avatar de l’utilisateur
akenad
Actif
Messages : 694
Inscription : 27 oct. 2017, 11:39

Re: Plugin XIAOMI Daemon NOK

Message par akenad » 29 juin 2019, 10:16

Ce serait moi je ne mettrais pas Jeedom et Snips dans la même Box.
Entre autre pour des problématiques potentiels d'incompatibilité de version NodeJS entre les plugins Jeedom qui l'utilisent et Snips.

ici il est recommandé de mettre Snips et Jeedom sur deux appareils séparés :
https://docs.snips.ai/articles/raspberrypi/jeedom/fr

akenad :)
Présentation akenad
JeedomSmart Debian Stretch
Odroid-C2 eMMC Armbian Stretch Kernel 3.x
RPi3B+ SSD Raspbian Stretch
NUC Intel i7Gen7 ProxMox VM Debian Stretch & Buster
RPi4B SSD Raspbian Buster

Mes équipements

Répondre

Revenir vers « [Plugin Tiers] Xiaomi Home »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 2 invités